Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.tapestry5.internal.services
Enum XMLTokenType

    java.lang.Object
      java.lang.Enum<XMLTokenType>
          org.apache.tapestry5.internal.services.XMLTokenType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<XMLTokenType>

    public enum XMLTokenType

extends java.lang.Enum<XMLTokenType>

Identifies type of `XMLToken`.

Since:
  5.2.0

Enum Constant Summary
`ATTRIBUTE`
`CDATA`
`CHARACTERS`
`COMMENT`
`DTD`
`END_DOCUMENT`
`END_ELEMENT`
`ENTITY_DECLARATION`
`ENTITY_REFERENCE`
`NAMESPACE`
`NOTATION_DECLARATION`
`SPACE`
`START_ELEMENT`

Method Summary
`static XMLTokenType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static XMLTokenType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DTD

    public static final XMLTokenType DTD

### START_ELEMENT

    public static final XMLTokenType START_ELEMENT

### END_ELEMENT

    public static final XMLTokenType END_ELEMENT

### END_DOCUMENT

    public static final XMLTokenType END_DOCUMENT

### COMMENT

    public static final XMLTokenType COMMENT

### SPACE

    public static final XMLTokenType SPACE

### CHARACTERS

    public static final XMLTokenType CHARACTERS

### CDATA

    public static final XMLTokenType CDATA

### ENTITY_REFERENCE

    public static final XMLTokenType ENTITY_REFERENCE

### ATTRIBUTE

    public static final XMLTokenType ATTRIBUTE

### NAMESPACE

    public static final XMLTokenType NAMESPACE

### NOTATION_DECLARATION

    public static final XMLTokenType NOTATION_DECLARATION

### ENTITY_DECLARATION

    public static final XMLTokenType ENTITY_DECLARATION

Method Detail

### values

    public static final XMLTokenType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(XMLTokenType c : XMLTokenType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static XMLTokenType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2012 The Apache Software Foundation.